Jifty::Script::Model(3)

NAME
Jifty::Script::Model - Add a model class to your Jifty application

SYNOPSIS
    jifty model --name MyFirstModel
    jifty model --name MyFirstModel --force

  Options:
    --name <name>      name of the model
    --force            overwrite files

    --help             brief help message
    --man              full documentation

DESCRIPTION
Creates a skeleton model file.

  options

--name NAME (required)
    Name of the model class.

--force
    By default, this will stop and warn you if any of the files it is going to write already exist. Passing the --force flag will make it overwrite the files.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
This creates a skeleton of a new model class for your jifty application, complete with a skeleton of a test suite for it, as well.

METHODS

  run
Creates a skeleton file under "lib/ApplicationClass/Model/Model", as well as a skeleton tests file.

DESCRIPTION
A basic test harness for the $model model.